# Assessments API: Workshops

## GET /api/assessments/workshops/banks/{bankId}/images

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"WorkshopImage":{"type":"object","properties":{"FileName":{"type":"string","nullable":true},"Url":{"type":"string","nullable":true},"Environment":{"$ref":"#/components/schemas/EnvironmentName"},"Attachment":{"$ref":"#/components/schemas/AttachmentInfo"}},"additionalProperties":false},"EnvironmentName":{"enum":["None","Local","Development","Sandbox","Production","External"],"type":"string"},"AttachmentInfo":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"Condition":{"type":"string","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"Dimension":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/images":{"get":{"tags":["Assessments API: Workshops"],"operationId":"collectWorkshopImages","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopImage"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopImage"}}}}}}}}}}
```

## GET /api/assessments/workshops/banks/{bankId}/question-change-dates

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"QuestionChangeDate":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"LastChangeTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/question-change-dates":{"get":{"tags":["Assessments API: Workshops"],"operationId":"collectWorkshopQuestionChangeDates","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionChangeDate"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionChangeDate"}}}}}}}}}}
```

## PUT /api/assessments/workshops/banks/{bankId}/questions/{questionId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"QuestionInput":{"type":"object","properties":{"Field":{"$ref":"#/components/schemas/WorkshopQuestionField"},"ColumnIndex":{"type":"integer","format":"int32","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionField":{"enum":["Title","Code","Flag","LIG","Reference","Tag","Taxonomy","Condition","Standard","ColumnHeader"],"type":"string"},"Result":{"type":"object","properties":{"Html":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/questions/{questionId}":{"put":{"tags":["Assessments API: Workshops"],"operationId":"modifyWorkshopQuestion","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/QuestionInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/QuestionInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/QuestionInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/QuestionInput"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}},"text/json":{"schema":{"$ref":"#/components/schemas/Result"}}}}}}}}}
```

## PUT /api/assessments/workshops/banks/{bankId}/questions/{questionId}/options/{optionNumber}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"OptionInput":{"type":"object","properties":{"Field":{"$ref":"#/components/schemas/WorkshopQuestionOptionField"},"ColumnIndex":{"type":"integer","format":"int32","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionOptionField":{"enum":["Title","ColumnTitle","Points"],"type":"string"},"Result":{"type":"object","properties":{"Html":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/questions/{questionId}/options/{optionNumber}":{"put":{"tags":["Assessments API: Workshops"],"operationId":"modifyWorkshopOption","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"optionNumber","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/OptionInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/OptionInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/OptionInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/OptionInput"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}},"text/json":{"schema":{"$ref":"#/components/schemas/Result"}}}}}}}}}
```

## POST /api/assessments/workshops/banks/{bankId}/questions/{questionId}/comments

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FieldCommentInput":{"type":"object","properties":{"AuthorType":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"WorkshopQuestionComments":{"type":"object","properties":{"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/questions/{questionId}/comments":{"post":{"tags":["Assessments API: Workshops"],"operationId":"postWorkshopQuestionComment","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkshopQuestionComments"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkshopQuestionComments"}}}}}}}}}
```

## POST /api/assessments/workshops/banks/{bankId}/fields/{fieldId}/comments

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FieldCommentInput":{"type":"object","properties":{"AuthorType":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"WorkshopQuestionComments":{"type":"object","properties":{"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/fields/{fieldId}/comments":{"post":{"tags":["Assessments API: Workshops"],"operationId":"postWorkshopFieldComment","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"fieldId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"application/json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/FieldCommentInput"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkshopQuestionComments"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkshopQuestionComments"}}}}}}}}}
```

## POST /api/assessments/workshops/banks/{bankId}/fields/{fieldId}/replace

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"WorkshopReplaceCommand":{"enum":["NewVersion","NewQuestionAndSurplus","NewQuestionAndPurge","RollbackQuestion"],"type":"string"},"Section":{"type":"object","properties":{"Standards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"Questions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/fields/{fieldId}/replace":{"post":{"tags":["Assessments API: Workshops"],"operationId":"replaceWorkshopField","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"fieldId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"command","in":"query","schema":{"$ref":"#/components/schemas/WorkshopReplaceCommand"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Section"}},"text/json":{"schema":{"$ref":"#/components/schemas/Section"}}}}}}}}}
```

## POST /api/assessments/workshops/banks/{bankId}/specifications/{specificationId}/sets/{setId}/questions

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"WorkshopNewQuestionCommand":{"enum":["QuickMultipleChoice","QuickComposedEssay","QuickComposedVoice","QuickMultipleCorrect","QuickBooleanTable","QuickMatching"],"type":"string"},"Set":{"type":"object","properties":{"AreaId":{"type":"string","format":"uuid","nullable":true},"QuestionId":{"type":"string","format":"uuid","nullable":true},"Questions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/specifications/{specificationId}/sets/{setId}/questions":{"post":{"tags":["Assessments API: Workshops"],"operationId":"addWorkshopQuestion","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"specificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"setId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"standardId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"command","in":"query","schema":{"$ref":"#/components/schemas/WorkshopNewQuestionCommand"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Set"}},"text/json":{"schema":{"$ref":"#/components/schemas/Set"}}}}}}}}}
```

## POST /api/assessments/workshops/banks/{bankId}/specifications/{specificationId}/sets/{setId}/questions/{questionId}/duplicate

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"Set":{"type":"object","properties":{"AreaId":{"type":"string","format":"uuid","nullable":true},"QuestionId":{"type":"string","format":"uuid","nullable":true},"Questions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/banks/{bankId}/specifications/{specificationId}/sets/{setId}/questions/{questionId}/duplicate":{"post":{"tags":["Assessments API: Workshops"],"operationId":"duplicateWorkshopQuestion","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"specificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"setId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Set"}},"text/json":{"schema":{"$ref":"#/components/schemas/Set"}}}}}}}}}
```

## PUT /api/assessments/workshops/banks/{bankId}/comments/{commentId}/showhide

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/assessments/workshops/banks/{bankId}/comments/{commentId}/showhide":{"put":{"tags":["Assessments API: Workshops"],"operationId":"showHideWorkshopComment","parameters":[{"name":"bankId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"hidden","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /api/assessments/workshops/forms/{formId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FormWorkshop":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid"},"Details":{"$ref":"#/components/schemas/FormDetails"},"Statistics":{"$ref":"#/components/schemas/QuestionStatistics"},"QuestionData":{"$ref":"#/components/schemas/WorkshopQuestionData"},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Attachments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopAttachment"},"nullable":true},"ProblemQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopProblemQuestion"},"nullable":true}},"additionalProperties":false},"FormDetails":{"type":"object","properties":{"SpecificationName":{"type":"string","nullable":true},"SpecificationType":{"$ref":"#/components/schemas/SpecificationType"},"Standard":{"$ref":"#/components/schemas/WorkshopStandard"},"FormName":{"type":"string","nullable":true},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetVersion":{"type":"integer","format":"int32"},"FormCode":{"type":"string","nullable":true},"FormSource":{"type":"string","nullable":true},"FormOrigin":{"type":"string","nullable":true},"FormHook":{"type":"string","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"ThirdPartyAssessmentIsEnabled":{"type":"boolean"},"StaticQuestionOrderVerified":{"type":"string","format":"date-time","nullable":true},"VerifiedQuestions":{"type":"array","items":{"$ref":"#/components/schemas/StaticQuestionOrder"},"nullable":true},"IsQuestionOrderMatch":{"type":"boolean"}},"additionalProperties":false},"SpecificationType":{"enum":["Dynamic","Static"],"type":"string"},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"StaticQuestionOrder":{"type":"object","properties":{"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Tag":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"QuestionStatistics":{"type":"object","properties":{"QuestionPerTagAndTaxonomyArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerTagAndTaxonomy"},"nullable":true},"QuestionPerTaxonomyArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerIntItem"},"nullable":true},"QuestionPerDifficultyArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerIntItem"},"nullable":true},"QuestionPerGACArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerStringItem"},"nullable":true},"QuestionPerCodeArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerStringItem"},"nullable":true},"QuestionPerLIGArray":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPerStringItem"},"nullable":true},"Taxonomies":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"Standards":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentStandard"},"nullable":true},"SubCompetencies":{"type":"array","items":{"$ref":"#/components/schemas/SubCompetency"},"nullable":true},"TagAndTaxonomyArray":{"type":"array","items":{"$ref":"#/components/schemas/TagAndTaxonomy"},"nullable":true}},"additionalProperties":false},"QuestionPerTagAndTaxonomy":{"type":"object","properties":{"Tag":{"type":"string","nullable":true},"Taxonomy":{"type":"integer","format":"int32"},"Count":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionPerIntItem":{"type":"object","properties":{"Item":{"type":"integer","format":"int32"},"Count":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionPerStringItem":{"type":"object","properties":{"Item":{"type":"string","nullable":true},"Count":{"type":"integer","format":"int32"}},"additionalProperties":false},"AssessmentStandard":{"type":"object","properties":{"SetStandardCode":{"type":"string","nullable":true},"QuestionStandardCode":{"type":"string","nullable":true},"Questions":{"type":"integer","format":"int32"},"Taxonomies":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true}},"additionalProperties":false},"SubCompetency":{"type":"object","properties":{"SetStandardCode":{"type":"string","nullable":true},"QuestionStandardCode":{"type":"string","nullable":true},"QuestionSubCode":{"type":"string","nullable":true},"Questions":{"type":"integer","format":"int32"}},"additionalProperties":false},"TagAndTaxonomy":{"type":"object","properties":{"Tag":{"type":"string","nullable":true},"CountPerTaxonomy":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true}},"additionalProperties":false},"WorkshopQuestionData":{"type":"object","properties":{"TotalQuestionCount":{"type":"integer","format":"int32"},"Sections":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"Taxonomies":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"FirstSectionId":{"type":"string","format":"uuid"},"FirstSectionAreaId":{"type":"string","format":"uuid","nullable":true},"FirstSectionStandards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"FirstSectionQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopItem":{"type":"object","properties":{"Value":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopAttachment":{"type":"object","properties":{"AttachmentId":{"type":"string","format":"uuid"},"AttachmentType":{"$ref":"#/components/schemas/AttachmentType"},"AssetNumber":{"type":"integer","format":"int32"},"AssetVersion":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Condition":{"type":"string","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"QuestionCount":{"type":"integer","format":"int32"},"PostedOn":{"type":"string","format":"date-time"},"FileName":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"FileSize":{"type":"string","nullable":true},"AuthorName":{"type":"string","nullable":true},"ChangeCount":{"type":"integer","format":"int32"},"ImageResolution":{"type":"string","nullable":true},"ImageDimensions":{"type":"array","items":{"type":"string"},"nullable":true},"Color":{"type":"string","nullable":true}},"additionalProperties":false},"AttachmentType":{"enum":["Unknown","Archive","Document","Image"],"type":"string"},"WorkshopProblemQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionSetName":{"type":"string","nullable":true},"QuestionTitle":{"type":"string","nullable":true},"CanDelete":{"type":"boolean"},"ProblemDescription":{"type":"string","nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/ProblemOption"},"nullable":true}},"additionalProperties":false},"ProblemOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Letter":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/forms/{formId}":{"get":{"tags":["Assessments API: Workshops"],"operationId":"retrieveFormWorkshop","parameters":[{"name":"formId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sectionId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormWorkshop"}},"text/json":{"schema":{"$ref":"#/components/schemas/FormWorkshop"}}}}}}}}}
```

## GET /api/assessments/workshops/forms/{formId}/sections/{sectionId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"Section":{"type":"object","properties":{"Standards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"Questions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/forms/{formId}/sections/{sectionId}":{"get":{"tags":["Assessments API: Workshops"],"operationId":"retrieveFormWorkshopSection","parameters":[{"name":"formId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sectionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Section"}},"text/json":{"schema":{"$ref":"#/components/schemas/Section"}}}}}}}}}
```

## PUT /api/assessments/workshops/forms/{formId}/third-party-assessment

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/assessments/workshops/forms/{formId}/third-party-assessment":{"put":{"tags":["Assessments API: Workshops"],"operationId":"modifyFormWorkshop_thirdPartyAssessment","parameters":[{"name":"formId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"enabled","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/assessments/workshops/forms/{formId}/verify-static-question-order

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"Questions":{"type":"object","properties":{"IsQuestionOrderMatch":{"type":"boolean"},"StaticQuestionOrderVerified":{"type":"string","format":"date-time","nullable":true},"VerifiedQuestions":{"type":"array","items":{"$ref":"#/components/schemas/StaticQuestionOrder"},"nullable":true}},"additionalProperties":false},"StaticQuestionOrder":{"type":"object","properties":{"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Tag":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/forms/{formId}/verify-static-question-order":{"post":{"tags":["Assessments API: Workshops"],"operationId":"modifyFormWorkshop_verifyStaticQuestionOrder","parameters":[{"name":"formId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Questions"}},"text/json":{"schema":{"$ref":"#/components/schemas/Questions"}}}}}}}}}
```

## GET /api/assessments/workshops/specs/{specificationId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SpecWorkshop":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid"},"Standards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"Details":{"$ref":"#/components/schemas/SpecDetails"},"QuestionData":{"$ref":"#/components/schemas/WorkshopQuestionData"},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Attachments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopAttachment"},"nullable":true},"ProblemQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopProblemQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"SpecDetails":{"type":"object","properties":{"SpecName":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"FrameworkId":{"type":"string","format":"uuid","nullable":true},"FormLimit":{"type":"integer","format":"int32"},"QuestionLimit":{"type":"integer","format":"int32"},"Criteria":{"type":"array","items":{"$ref":"#/components/schemas/DetailsCriterion"},"nullable":true}},"additionalProperties":false},"DetailsCriterion":{"type":"object","properties":{"CriterionId":{"type":"string","format":"uuid"},"Title":{"type":"string","nullable":true},"Weight":{"type":"integer","format":"int32"},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"Competencies":{"type":"array","items":{"$ref":"#/components/schemas/DetailsCompetency"},"nullable":true}},"additionalProperties":false},"DetailsCompetency":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"Tax1Count":{"type":"integer","format":"int32","nullable":true},"Tax2Count":{"type":"integer","format":"int32","nullable":true},"Tax3Count":{"type":"integer","format":"int32","nullable":true},"QuestionCount":{"type":"integer","format":"int32","nullable":true},"Tax1CountActual":{"type":"integer","format":"int32"},"Tax2CountActual":{"type":"integer","format":"int32"},"Tax3CountActual":{"type":"integer","format":"int32"},"UnassignedCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"WorkshopQuestionData":{"type":"object","properties":{"TotalQuestionCount":{"type":"integer","format":"int32"},"Sections":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"Taxonomies":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"FirstSectionId":{"type":"string","format":"uuid"},"FirstSectionAreaId":{"type":"string","format":"uuid","nullable":true},"FirstSectionStandards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"FirstSectionQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopItem":{"type":"object","properties":{"Value":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopAttachment":{"type":"object","properties":{"AttachmentId":{"type":"string","format":"uuid"},"AttachmentType":{"$ref":"#/components/schemas/AttachmentType"},"AssetNumber":{"type":"integer","format":"int32"},"AssetVersion":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Condition":{"type":"string","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"QuestionCount":{"type":"integer","format":"int32"},"PostedOn":{"type":"string","format":"date-time"},"FileName":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"FileSize":{"type":"string","nullable":true},"AuthorName":{"type":"string","nullable":true},"ChangeCount":{"type":"integer","format":"int32"},"ImageResolution":{"type":"string","nullable":true},"ImageDimensions":{"type":"array","items":{"type":"string"},"nullable":true},"Color":{"type":"string","nullable":true}},"additionalProperties":false},"AttachmentType":{"enum":["Unknown","Archive","Document","Image"],"type":"string"},"WorkshopProblemQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionSetName":{"type":"string","nullable":true},"QuestionTitle":{"type":"string","nullable":true},"CanDelete":{"type":"boolean"},"ProblemDescription":{"type":"string","nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/ProblemOption"},"nullable":true}},"additionalProperties":false},"ProblemOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Letter":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/specs/{specificationId}":{"get":{"tags":["Assessments API: Workshops"],"operationId":"retrieveSpecWorkshop","parameters":[{"name":"specificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sectionId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"questionId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecWorkshop"}},"text/json":{"schema":{"$ref":"#/components/schemas/SpecWorkshop"}}}}}}}}}
```

## PUT /api/assessments/workshops/specs/{specificationId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"Input":{"type":"object","properties":{"FormLimit":{"type":"integer","format":"int32"},"QuestionLimit":{"type":"integer","format":"int32"},"Criteria":{"type":"array","items":{"$ref":"#/components/schemas/InputCriterion"},"nullable":true}},"additionalProperties":false},"InputCriterion":{"type":"object","properties":{"CriterionId":{"type":"string","format":"uuid"},"Weight":{"type":"integer","format":"int32"},"Competencies":{"type":"array","items":{"$ref":"#/components/schemas/InputCompetency"},"nullable":true}},"additionalProperties":false},"InputCompetency":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"Tax1Count":{"type":"integer","format":"int32","nullable":true},"Tax2Count":{"type":"integer","format":"int32","nullable":true},"Tax3Count":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"SpecWorkshop":{"type":"object","properties":{"BankId":{"type":"string","format":"uuid"},"Standards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"Details":{"$ref":"#/components/schemas/SpecDetails"},"QuestionData":{"$ref":"#/components/schemas/WorkshopQuestionData"},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Attachments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopAttachment"},"nullable":true},"ProblemQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopProblemQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"SpecDetails":{"type":"object","properties":{"SpecName":{"type":"string","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"FrameworkId":{"type":"string","format":"uuid","nullable":true},"FormLimit":{"type":"integer","format":"int32"},"QuestionLimit":{"type":"integer","format":"int32"},"Criteria":{"type":"array","items":{"$ref":"#/components/schemas/DetailsCriterion"},"nullable":true}},"additionalProperties":false},"DetailsCriterion":{"type":"object","properties":{"CriterionId":{"type":"string","format":"uuid"},"Title":{"type":"string","nullable":true},"Weight":{"type":"integer","format":"int32"},"StandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"Competencies":{"type":"array","items":{"$ref":"#/components/schemas/DetailsCompetency"},"nullable":true}},"additionalProperties":false},"DetailsCompetency":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"Tax1Count":{"type":"integer","format":"int32","nullable":true},"Tax2Count":{"type":"integer","format":"int32","nullable":true},"Tax3Count":{"type":"integer","format":"int32","nullable":true},"QuestionCount":{"type":"integer","format":"int32","nullable":true},"Tax1CountActual":{"type":"integer","format":"int32"},"Tax2CountActual":{"type":"integer","format":"int32"},"Tax3CountActual":{"type":"integer","format":"int32"},"UnassignedCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"WorkshopQuestionData":{"type":"object","properties":{"TotalQuestionCount":{"type":"integer","format":"int32"},"Sections":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"Taxonomies":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopItem"},"nullable":true},"FirstSectionId":{"type":"string","format":"uuid"},"FirstSectionAreaId":{"type":"string","format":"uuid","nullable":true},"FirstSectionStandards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"FirstSectionQuestions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopItem":{"type":"object","properties":{"Value":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopAttachment":{"type":"object","properties":{"AttachmentId":{"type":"string","format":"uuid"},"AttachmentType":{"$ref":"#/components/schemas/AttachmentType"},"AssetNumber":{"type":"integer","format":"int32"},"AssetVersion":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Condition":{"type":"string","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"QuestionCount":{"type":"integer","format":"int32"},"PostedOn":{"type":"string","format":"date-time"},"FileName":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"FileSize":{"type":"string","nullable":true},"AuthorName":{"type":"string","nullable":true},"ChangeCount":{"type":"integer","format":"int32"},"ImageResolution":{"type":"string","nullable":true},"ImageDimensions":{"type":"array","items":{"type":"string"},"nullable":true},"Color":{"type":"string","nullable":true}},"additionalProperties":false},"AttachmentType":{"enum":["Unknown","Archive","Document","Image"],"type":"string"},"WorkshopProblemQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionSetName":{"type":"string","nullable":true},"QuestionTitle":{"type":"string","nullable":true},"CanDelete":{"type":"boolean"},"ProblemDescription":{"type":"string","nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/ProblemOption"},"nullable":true}},"additionalProperties":false},"ProblemOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"Letter":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/specs/{specificationId}":{"put":{"tags":["Assessments API: Workshops"],"operationId":"modifySpecWorkshop","parameters":[{"name":"specificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Input"}},"application/json":{"schema":{"$ref":"#/components/schemas/Input"}},"text/json":{"schema":{"$ref":"#/components/schemas/Input"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Input"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecWorkshop"}},"text/json":{"schema":{"$ref":"#/components/schemas/SpecWorkshop"}}}}}}}}}
```

## GET /api/assessments/workshops/specs/{specificationId}/sets/{setId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"Section":{"type":"object","properties":{"Standards":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopStandard"},"nullable":true},"Questions":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestion"},"nullable":true}},"additionalProperties":false},"WorkshopStandard":{"type":"object","properties":{"StandardId":{"type":"string","format":"uuid"},"ParentId":{"type":"string","format":"uuid","nullable":true},"AssetNumber":{"type":"integer","format":"int32"},"Sequence":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Label":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Parent":{"$ref":"#/components/schemas/WorkshopStandard"}},"additionalProperties":false},"WorkshopQuestion":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"FieldId":{"type":"string","format":"uuid","nullable":true},"ParentStandardId":{"type":"string","format":"uuid","nullable":true},"StandardId":{"type":"string","format":"uuid","nullable":true},"QuestionBankIndex":{"type":"integer","format":"int32"},"QuestionFormSequence":{"type":"integer","format":"int32","nullable":true},"QuestionFlag":{"$ref":"#/components/schemas/FlagType"},"QuestionType":{"$ref":"#/components/schemas/QuestionItemType"},"QuestionTitle":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"QuestionTitleHtml":{"type":"string","nullable":true},"Rationale":{"type":"string","nullable":true},"RationaleOnCorrectAnswer":{"type":"string","nullable":true},"RationaleOnIncorrectAnswer":{"type":"string","nullable":true},"QuestionAssetNumber":{"type":"integer","format":"int32"},"QuestionAssetVersion":{"type":"integer","format":"int32"},"QuestionPublicationStatusDescription":{"type":"string","nullable":true},"QuestionCondition":{"type":"string","nullable":true},"QuestionTaxonomy":{"type":"integer","format":"int32","nullable":true},"QuestionLikeItemGroup":{"type":"string","nullable":true},"QuestionReference":{"type":"string","nullable":true},"QuestionCode":{"type":"string","nullable":true},"QuestionTag":{"type":"string","nullable":true},"QuestionLayoutType":{"$ref":"#/components/schemas/OptionLayoutType"},"QuestionPoints":{"type":"integer","format":"int32","nullable":true},"QuestionCutScore":{"type":"integer","format":"int32","nullable":true},"QuestionCalculationMethodDescription":{"type":"string","nullable":true},"QuestionClassificationDifficulty":{"type":"integer","format":"int32","nullable":true},"QuestionRandomizationEnabled":{"type":"boolean"},"LayoutColumns":{"type":"array","items":{"$ref":"#/components/schemas/LayoutColumn"},"nullable":true},"CandidateCommentCount":{"type":"integer","format":"int32"},"CanEdit":{"type":"boolean"},"CanNavigateToChangePage":{"type":"boolean"},"CanCopyField":{"type":"boolean"},"ReplaceButtons":{"$ref":"#/components/schemas/QuestionReplaceButtons"},"Source":{"$ref":"#/components/schemas/QuestionSource"},"Forms":{"type":"array","items":{"$ref":"#/components/schemas/QuestionForm"},"nullable":true},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopComment"},"nullable":true},"Options":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionOption"},"nullable":true},"Matches":{"type":"array","items":{"$ref":"#/components/schemas/WorkshopQuestionMatch"},"nullable":true},"Distractors":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"FlagType":{"enum":["None","Black","Blue","Cyan","Red","Gray","Green","Yellow","White"],"type":"string"},"QuestionItemType":{"enum":["SingleCorrect","TrueOrFalse","MultipleCorrect","BooleanTable","ComposedEssay","Matching","Likert","HotspotStandard","HotspotImageCaptcha","HotspotMultipleChoice","HotspotMultipleAnswer","HotspotCustom","ComposedVoice","Ordering"],"type":"string"},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"OptionLayoutType":{"enum":["None","List","Table"],"type":"string"},"LayoutColumn":{"type":"object","properties":{"Alignment":{"$ref":"#/components/schemas/HorizontalAlignment"},"CssClass":{"type":"string","nullable":true},"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"HorizontalAlignment":{"enum":["Left","Right","Center"],"type":"string"},"QuestionReplaceButtons":{"type":"object","properties":{"NewVersion":{"type":"boolean"},"NewQuestionAndSurplus":{"type":"boolean"},"NewQuestionAndPurge":{"type":"boolean"},"RollbackQuestion":{"type":"boolean"}},"additionalProperties":false},"QuestionSource":{"type":"object","properties":{"QuestionId":{"type":"string","format":"uuid"},"QuestionAssetNumber":{"type":"integer","format":"int32"}},"additionalProperties":false},"QuestionForm":{"type":"object","properties":{"FormId":{"type":"string","format":"uuid"},"FormName":{"type":"string","nullable":true},"FormSequence":{"type":"integer","format":"int32"},"FormAssetNumber":{"type":"integer","format":"int32"},"FormAssetversion":{"type":"integer","format":"int32"}},"additionalProperties":false},"WorkshopComment":{"type":"object","properties":{"CommentId":{"type":"string","format":"uuid"},"EntityId":{"type":"string","format":"uuid"},"AuthorName":{"type":"string","nullable":true},"PostedOn":{"type":"string","nullable":true},"Subject":{"type":"string","nullable":true},"Text":{"type":"string","nullable":true},"Category":{"type":"string","nullable":true},"Flag":{"$ref":"#/components/schemas/FlagType"},"EventFormat":{"type":"string","nullable":true},"IsHidden":{"type":"boolean"}},"additionalProperties":false},"WorkshopQuestionOption":{"type":"object","properties":{"Number":{"type":"integer","format":"int32"},"Letter":{"type":"string","nullable":true},"TitleMarkdown":{"type":"string","nullable":true},"TitleHtml":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"},"IsTrue":{"type":"boolean","nullable":true},"Columns":{"type":"array","items":{"$ref":"#/components/schemas/OptionColumn"},"nullable":true}},"additionalProperties":false},"OptionColumn":{"type":"object","properties":{"TextMarkdown":{"type":"string","nullable":true},"TextHtml":{"type":"string","nullable":true}},"additionalProperties":false},"WorkshopQuestionMatch":{"type":"object","properties":{"Left":{"type":"string","nullable":true},"Right":{"type":"string","nullable":true},"Points":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/assessments/workshops/specs/{specificationId}/sets/{setId}":{"get":{"tags":["Assessments API: Workshops"],"operationId":"retrieveSpecWorkshopSet","parameters":[{"name":"specificationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"setId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Section"}},"text/json":{"schema":{"$ref":"#/components/schemas/Section"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/assessments-api-workshops.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
